<TeXmacs|1.0.3>

<style|<tuple|tmdoc|maxima>>

<\body>
  <tmdoc-title*|Gua de Referencia Rpida de
  <with|color|red|Maxima>|Funciones Bsicas>

  <paragraph|En este corto documento se pretenden mostrar algunas de las
  funciones y comandos bsicos que usted puede utilizar usando \ <TeXmacs>
  como una interfaz de <with|color|red|Maxima>. No buscamos ser rigurosos
  pero s dar una idea general de la sintaxis y capacidades que sigue
  <with|color|red|Maxima>>

  <paragraph|En la siguiente guia usted encontrar ayuda sobre los siguientes
  temas>

  <\enumerate-numeric>
    <item>Aritmtica <with|color|blue|[<reference|arit>]>

    <item>lgebra <with|color|blue|[<reference|algr>]>

    <item>Trigonometra <with|color|blue|[<reference|trig>]>

    <item>Clculo Diferencial e Integral <with|color|blue|[<reference|cdi>]>

    <item>Series <with|color|blue|[<reference|series>]>

    <item>Ecuaciones Diferenciales <with|color|blue|[<reference|edif>]>

    <item>lgebra Matricial <with|color|blue|[<reference|algma>]>
  </enumerate-numeric>

  <paragraph|Para comenzar, la sintaxis general de <with|color|red|Maxima> es
  una funcin seguida de sus argumentos. La gran mayora de clculos que se
  realizan en <with|color|red|Maxima> es mediante funciones que ya estn
  definidas. Por ejemplo para clculo \ de integrales se usa la funcin
  <with|color|blue|<code*|integrate(lista de argumentos)>>, en donde la lista
  de argumentos constituye la funcin a integrar, su variable de integracin
  y en caso tal, s la integral es definida, su lmite inferior y superior.
  Algo muy importante que hay que tener en cuenta son las palabras reservadas
  que tiene <with|color|red|Maxima>, las cuales no pueden ser usadas como
  nombres de variables, ya que su uso podra ocasionar graves errores de
  sintaxis. A continuacin se presenta una lista de dichas
  palabras><big-table|<tabular*|<tformat|<twith|table-lsep|1
  spc>|<twith|table-rsep|1 spc>|<twith|table-bsep|1 spc>|<twith|table-tsep|1
  spc>|<cwith|1|6|1|4|cell-lborder|0.2 spc>|<cwith|1|-1|1|-1|cell-rborder|0.2
  spc>|<cwith|1|-1|1|-1|cell-bborder|0.2 spc>|<cwith|1|-1|1|-1|cell-tborder|0.2
  spc>|<twith|table-lborder|0.2 spc>|<twith|table-rborder|0.2
  spc>|<twith|table-bborder|0.2 spc>|<twith|table-tborder|0.2
  spc>|<table|<row|<cell|Integrate>|<cell|Next>|<cell|From>|<cell|Diff>>|<row|<cell|In>|<cell|At>|<cell|Limit>|<cell|Sum>>|<row|<cell|For>|<cell|And>|<cell|Elseif>|<cell|Then>>|<row|<cell|Else>|<cell|Do>|<cell|Or>|<cell|If>>|<row|<cell|Unless>|<cell|Product>|<cell|While>|<cell|Thru>>|<row|<cell|Step>|<cell|>|<cell|>|<cell|>>>>>|Palabras
  reservadas de <with|color|red|Maxima>>

  \;

  \;

  <section|<label|arit>Aritmtica<label|arit>>

  <paragraph|Los operadores fundamentales son:>

  <\itemize-arrow>
    <item>La suma se denota por +

    <item>La resta se denota por -

    <item>La multiplicacin est denotada por *

    <item>La divisin est representada por /

    <item>La potenciacin se denota por ^  **

    <item>La raz cuadrada est representada por la funcin <code*|SQRT(x)>

    <item>La multiplicacin matricial se denota por el operador . (punto)
  </itemize-arrow>

  <paragraph|La salida de Maxima se caracteriza por devolver valores
  racionales exactos. Por ejemplo: >

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      2/350+3/100;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D5)
        <with|color|black|>><frac|1|28>>
      </with>

      \;
    </output>
  </session>>

  <paragraph|S se emplean nmeros irracionales, esto se conservan en forma
  simblica>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      (1+sqrt(2))^5;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
        <with|color|black|>><left|(><sqrt|2>+1<right|)><rsup|5>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      expand(%);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D2)
        <with|color|black|>>29*<sqrt|2>+41>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Sin embargo en ocasiones se desea obtener la respuesta en
  formato decimal. Para conseguir esto se coloca tras la expresin deseada el
  texto <with|color|blue|<code*|,numer>>. Por ejemplo: >

  <with|prog-language|maxima|prog-session|defaul|<\session>
    \;

    <\input|<\with|color|red>
      (C4) <with|color|black|>
    </with>>
      (1+sqrt(2)),numer;
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
      <with|color|black|>>2.414213562373095>

      \;
    </output>
  </session>>

  <paragraph|Por defecto el parmetro <with|color|blue|<code*|numer>>
  devuelve un decimal con 16 cifras significativas (por lo que la ltima
  puede llegar a estar equivocada). Sin embargo <with|color|red|Maxima>
  ofrece precisin arbitraria con la funcin
  <code*|<with|color|blue|bfloat()>:>>

  <with|prog-language|maxima|prog-session|defaul|<\session>
    \;

    <\input|<\with|color|red>
      (C4) <with|color|black|>
    </with>>
      bfloat((1+sqrt(2)));
    </input>

    <\output>
      2.414213562373095B0
    </output>

    \;
  </session>>

  <paragraph|La variable que controla el nmero de decimales es
  <var|<with|color|green|<with|color|brown|<with|color|black|<var|fpprec>>>>>,
  que por defecto vale 16:>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      fpprec;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D5)
        <with|color|black|>>16>
      </with>

      \;
    </output>
  </session>>

  <paragraph|S asignamos a \ sta variable el valor 100, y volvemos a
  calcular el valor numrico de la expresin anterior, tenemos>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      fpprec:100;
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
      <with|color|black|>>100>

      \;
    </output>

    <\input|<with|color|red|(C2) <with|color|black|>>>
      bfloat(1+sqrt(2));
    </input>

    <\output>
      2.4142135623730950488016887242096980785696718753769480731766797379907

      \ 32478462107038850387534327641573B0
    </output>
  </session>>

  \;

  <paragraph|un nivel de precisin mucho ms alto, por ejemplo para el
  clculo de nmeros muy grandes, como el factorial de 100,
  <with|color|red|Maxima> lo hace con gran exactitud: >

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      100!;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D8)
        <with|color|black|>>93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000>
      </with>

      \;
    </output>
  </session>>

  <subsection|Funciones Asociadas>

  <paragraph|Algunas funciones importantes para el tratamiento numrico son:
  >

  <\description>
    <item*|FACTORIAL(X);>Devuelve el factorial de <em|X>

    <item*|FIB(n);>Devuelve el ensimo trmino de la sucesin de Fibonacci.

    <item*|INRT(X,n);>Toma dos nmeros enteros como argumento, <em|X> y
    <em|n>. Devuelve el valor entero de la ensima (<em|n>) raz de <em|X>.\ 

    <item*|TOTIENT(n);>Retorna los nmeros enteros menores o iguales a
    <em|n>, los cuales son primos relativos a <em|n>.
  </description>

  <section|<label|algr>lgebra<label|algr>>

  <paragraph|<with|color|red|Maxima> es por excelencia un sistema de clculo
  simblico y por lo tanto hace un muy buen manejo de expresiones
  algebricas. Es decir manipula con gran facilidad todo clculo simblico y
  analtico que nosotros necesitemos. Por ejemplo as se expande un
  polinomio:>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      (x^2+3*x-1)^3;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D2)
        <with|color|black|>><left|(>x<rsup|2>+3*x-1<right|)><rsup|3>>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      expand(%);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D3)
        <with|color|black|>>x<rsup|6>+9*x<rsup|5>+24*x<rsup|4>+9*x<rsup|3>-24*x<rsup|2>+9*x-1>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Ahora supongamos que queremos sustituir, en la anterior
  expresin, <with|mode|math|x=<frac|5|z>>:>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      d3,x=5/z;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D4)
        <with|color|black|>><frac|45|z>-<frac|600|z<rsup|2>>+<frac|1125|z<rsup|3>>+<frac|15000|z<rsup|4>>+<frac|28125|z<rsup|5>>+<frac|15625|z<rsup|6>>-1>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Haciendo uso de la funcin <with|color|blue|RATSIMP()> reduce
  una expresin a comn denominador:>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      ratsimp(d4);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D5)
        <with|color|black|>>-<frac|z<rsup|6>-45*z<rsup|5>+600*z<rsup|4>-1125*z<rsup|3>-15000*z<rsup|2>-28125*z-15625|z<rsup|6>>>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Y con la funcin <with|color|blue|PARTFRAC()> se pueden reducir
  expresiones a fracciones parciales:>\ 

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      partfrac(d5,z);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D6)
        <with|color|black|>><frac|45|z>-<frac|600|z<rsup|2>>+<frac|1125|z<rsup|3>>+<frac|15000|z<rsup|4>>+<frac|28125|z<rsup|5>>+<frac|15625|z<rsup|6>>-1>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Maxima, tambin puede factorizar polinomios y expresiones en
  general:>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      factor(d5);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D7)
        <with|color|black|>>-<frac|<left|(>z<rsup|2>-15*z-25<right|)><rsup|3>|z<rsup|6>>>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Ahora miremos soluciones de ecuaciones lineales y no lineales,
  mediante la funcin <with|color|blue|SOLVE()>. Veamos a continuacin
  algunos ejemplos: >

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      x+y-z=5;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
        <with|color|black|>>-z+y+x=5>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C2) <with|color|black|>
    </with>>
      2*x+y-3*z=0;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D2)
        <with|color|black|>>-3*z+y+2*x=0>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      -x-y+5*z=2;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D3)
        <with|color|black|>>5*z-y-x=2>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C4) <with|color|black|>
    </with>>
      solve([D1,D2,D3],[x,y,z]);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D4)
        <with|color|black|>><left|[><left|[>x=-<frac|3|2>,y=<frac|33|4>,z=<frac|7|4><right|]><right|]>>
      </with>

      \;
    </output>

    \;
  </session>>

  <paragraph|Cmo usted puede observar se declar un sistema de ecuaciones de
  tres variables, cada uno identificado con una etiqueta. Luego se uso la
  funcin <with|color|blue|SOLVE()> cuya sintaxis es:
  <with|color|blue|Solve([ecuaciones separadas por comas],[variables a
  despejar])>, y obtuvimos el valor respectivo. Igualmente podemos resolver
  ecuaciones no lineales, como sigue: >

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C6) <with|color|black|>
    </with>>
      x^2+3*y-5*z=0;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D6)
        <with|color|black|>>-5*z+3*y+x<rsup|2>=0>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C7) <with|color|black|>
    </with>>
      y^2+z=8;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D7)
        <with|color|black|>>z+y<rsup|2>=8>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C8) <with|color|black|>
    </with>>
      x+y-z^2=0;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D8)
        <with|color|black|>>-z<rsup|2>+y+x=0>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C9) <with|color|black|>
    </with>>
      solve([D6,D7,D8],[x,y,z]);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D9)
        <with|color|black|>><left|[><left|[>x=-4.450358566023038*i-0.72828824836102,y=3.161232771913446-0.1872826277925*i,z=1.184087961175445*i-1.958317855546707<right|]>,<left|[>x=4.450358566023038*i-0.72828824836102,y=0.1872826277925*i+3.161232771913446,z=-1.184087961175445*i-1.958317855546707<right|]>,<left|[>x=3.570531400966184,y=-2.653775883069427,z=0.95747368421053<right|]>,<left|[>x=2.849523809523809,y=-2.842841369157159,z=-0.08174737951631<right|]>,<left|[>x=-1.73056481765961*i-3.225768622805857,y=0.42842168276288*i-2.906031353286039,z=2.490013685072969*i-0.26147308802011<right|]>,<left|[>x=1.73056481765961*i-3.225768622805857,y=-0.42842168276286*i-2.906031353286037,z=-2.490013685072968*i-0.26147308802013<right|]>,<left|[>x=1.680372001957905,y=2.443222506393862,z=2.030663615560641<right|]>,<left|[>x=-0.19231395538186,y=2.542991755005889,z=1.53319209039548<right|]><right|]>>
      </with>

      \;
    </output>
  </session>>

  <paragraph|De lo anterior podemos observar que Maxima genera listas con
  valores solucin \ para las variables del sistema de ecuaciones, dando
  distintos valores a las variables.>

  <subsection|Algo de lgebra Compleja>

  <paragraph|Maxima puede manipular sin ningn problema nmeros complejos. El
  siguiente es un ejemplo bsico de la suma de nmeros complejos:>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C15) <with|color|black|>
    </with>>
      3+4*%i;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D15)
        <with|color|black|>>4*i+3>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C16) <with|color|black|>
    </with>>
      -4-2*%i;\ 
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D16)
        <with|color|black|>>-2*i-4>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C19) <with|color|black|>
    </with>>
      c15+c16;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D19)
        <with|color|black|>>2*i-1>
      </with>

      \;
    </output>
  </session>>

  <paragraph|As mismo se pueden resolver ecuaciones, encontrar races y
  muchas otras tareas. >

  <subsection|Funciones Asociadas:>

  <paragraph|Las siguientes son algunas funciones importantes para manejo de
  lgebra:>

  <\description>
    <item*|ALLROOTS(POL);>Encuentra todas las races reales y complejas de un
    polinomio de una sola variable.

    <item*|DEMOIVRE(exp);>Retorna un exponencial complejo en su forma
    trigonomtrica.

    <item*|REALPART(num_com);>Devuelve la parte real de un nmero complejo.

    <item*|IMAGPART(num_com);>Devuelve la parte imaginaria de un nmero
    complejo.
  </description>

  <section|Trigonometra<label|trig>>

  <paragraph|<with|color|red|Maxima> posee funciones para manipulacin
  trigonomtrica, de hecho trae definidas las seis funciones trigonomtricas
  bsicas con sus inversas, hiperblicas e inversas de las hiperblicas. La
  siguiente es una tabla que resume dichas funciones:
  ><big-table|<tabular*|<tformat|<cwith|1|1|2|2|cell-halign|r>|<twith|table-lsep|2
  spc>|<twith|table-rsep|2 spc>|<twith|table-bsep|2 spc>|<twith|table-tsep|2
  spc>|<cwith|1|-1|1|-1|cell-lsep|1 spc>|<cwith|1|-1|1|-1|cell-rsep|1
  spc>|<cwith|1|-1|1|-1|cell-bsep|1 spc>|<cwith|1|-1|1|-1|cell-tsep|1
  spc>|<cwith|1|-1|1|-1|cell-lborder|0.1 spc>|<cwith|1|-1|1|-1|cell-rborder|0.1
  spc>|<cwith|1|-1|1|-1|cell-bborder|0.1 spc>|<cwith|1|-1|1|-1|cell-tborder|0.1
  spc>|<twith|table-lborder|0.1 spc>|<twith|table-rborder|0.1
  spc>|<twith|table-bborder|0.1 spc>|<twith|table-tborder|0.1
  spc>|<table|<row|<cell|Funcin>|<cell|Representacin
  >|<cell|Inversa>|<cell|Hiperblica>|<cell|Inversa
  Hiperblica>>|<row|<cell|Seno>|<cell|sin(x)>|<cell|asin(x)>|<cell|sinh(x)>|<cell|asinh(x)>>|<row|<cell|Coseno>|<cell|cos(x)>|<cell|acos(x)>|<cell|cosh(x)>|<cell|acosh(x)>>|<row|<cell|Tangente>|<cell|tan(x)>|<cell|atan(x)>|<cell|tanh(x)>|<cell|atanh(x)>>|<row|<cell|Cotangente>|<cell|cot(x)>|<cell|acot(x)>|<cell|coth(x)>|<cell|acoth(x)>>|<row|<cell|Secante>|<cell|sec(x)>|<cell|asec(x)>|<cell|sech(x)>|<cell|asech(x)>>|<row|<cell|CoSecante>|<cell|csc(x)>|<cell|acsc(x)>|<cell|csch(x)>|<cell|acsch(x)>>>>>|Funciones
  trigonomtricas definidas en <with|color|red|Maxima>>

  <paragraph|Los siguientes son algunos ejemplos de lo que podemos hacer con
  Maxima: >

  <paragraph|Podemos evaluar cualquier funcin trigonomtrica para un valor
  dado: >

  <with|prog-language|maxima|prog-session|defaul|<\session>
    \;

    <\input|<\with|color|red>
      (C6) <with|color|black|>
    </with>>
      cos(5*%pi);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D6)
        <with|color|black|>>-1>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C12) <with|color|black|>
    </with>>
      sec(0);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
        <with|color|black|>>1>
      </with>
    </output>
  </session>>

  <paragraph|Podemos expandir funciones trigonomtricas e hiperblicas, con
  la funcin <with|color|blue|TRIGEXPAND()>, de la siguiente forma: >

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C20) <with|color|black|>
    </with>>
      trigexpand((x+sin(3*x))/sin(x));
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D20)
        <with|color|black|>><frac|-sin <rsup|3>x+3*cos <rsup|2>x*sin x+x|sin
        x>>
      </with>

      \;
    </output>

    <input|<\with|color|red>
      (C21) <with|color|black|>
    </with>|<\math>
      trigexpand(<frac|x+sin(3*x)|sin(x)>);
    </math>>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D21)
        <with|color|black|>><frac|-sin <rsup|3>x+3*cos <rsup|2>x*sin x+x|sin
        x>>
      </with>

      \;
    </output>

    <input|<\with|color|red>
      (C24) <with|color|black|>
    </with>|<\math>
      trigexpand(sin(10*x+y));
    </math>>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D24)
        <with|color|black|>><left|(>-sin <rsup|10>x+45*cos <rsup|2>x*sin
        <rsup|8>x-210*cos <rsup|4>x*sin <rsup|6>x+210*cos <rsup|6>x*sin
        <rsup|4>x-45*cos <rsup|8>x*sin <rsup|2>x+cos <rsup|10>x<right|)>*sin
        y+<left|(>10*cos x*sin <rsup|9>x-120*cos <rsup|3>x*sin
        <rsup|7>x+252*cos <rsup|5>x*sin <rsup|5>x-120*cos <rsup|7>x*sin
        <rsup|3>x+10*cos <rsup|9>x*sin x<right|)>*cos y>
      </with>

      \;
    </output>

    <input|<\with|color|red>
      (C25) <with|color|black|>
    </with>|<\math>
      trigexpand:false;
    </math>>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D25)
        <with|color|black|>><with|math-font-family|bf|false>>
      </with>

      \;
    </output>

    <input|<\with|color|red>
      (C26) <with|color|black|>
    </with>|<\math>
      trigexpand(sin(10*x+y));
    </math>>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D26)
        <with|color|black|>>cos <left|(>10*x<right|)>*sin y+sin
        <left|(>10*x<right|)>*cos y>
      </with>

      \;
    </output>
  </session>>

  <paragraph|En este caso fijese que hemos utilizado dos cosas: Primero la
  entrada matemtica de <TeXmacs>, lo cual posibilita una mejor escritura y
  mayor facilidad a la hora de usar <with|color|red|Maxima> y segundo hemos
  dado valor a un variable de entorno de Maxima, en este caso es la variable
  <var|trigexpand>, cuando vale true expande todas las expresiones que
  contengan senos y cosenos en forma subsecuente (como puede darse cuenta en
  <with|color|red|C24>) y cuando vale false no expande senos y cosenos, como
  usted puede darse cuenta en <with|color|red|C26>. Podemos tambin reducir
  expresiones trigonomtricas e hiperblicas con la funcin
  <with|color|blue|TRIGREDUCE()>, veamos:>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\output>
      \;

      \;
    </output>

    <\input|<\with|color|red>
      (C1) <with|color|black|>
    </with>>
      trigreduce(-SIN(X)^2+3*cos(x)^2+x);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
        <with|color|black|>>x+<frac|cos <left|(>2*X<right|)>|2>+3*<left|(><frac|cos
        <left|(>2*x<right|)>|2>+<frac|1|2><right|)>-<frac|1|2>>
      </with>

      \;
    </output>

    \;
  </session>>

  <subsection|Funciones Asociadas:>

  <\description>
    <item*|TRIGSIMP(exp);>Emplea las identidades
    <with|mode|math|sin<rsup|2>(x)+cos<rsup|2>(x)=1> y
    <with|mode|math|cosh<rsup|2>(x)-sinh<rsup|2>(x)=1> para simplificar
    expresiones que contengan tangentes, secantes, etc.\ 

    <item*|TRIGRAT(exp);>Esta funcin es similar a trigreduce, pero con la
    diferencia que busca linealizar dicha expresin (que debe ser racional,
    por supuesto), s es posible.\ 
  </description>

  <section|Clculo Diferencial e Integral<label|cdi>>

  <paragraph|<with|color|red|Maxima> est en capacidad de desarrollar
  lmites, derivadas e integrales de forma sencilla y fcil. Empecemos por el
  clculo de lmites.>

  <subsection|Lmites>

  <paragraph|Para calcular lmites utilizamos la funcin
  <with|color|blue|LIMIT(a,b,c)>, en donde <with|color|blue|a> es la funcin
  donde \ deseamos calcular el lmite, y <with|color|blue|c> es hacia lo que
  tiende <with|color|blue|b>. Por supuesto que <with|color|blue|b> debe ser
  una variable de <with|color|blue|a>. El infinito positivo est representado
  por <var|INF> y el infinito negativo por <var|MINF>. Veamos un ejemplo:>

  <paragraph|Calculemos el lmite de la funcin
  <with|mode|math|<frac|x<rsup|2>+2*x-3|x+1>> cuando x tiende a -1:>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|maxima] >
      a:x^2+2*x-3;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D2)
        <with|color|black|>>x<rsup|2>+2*x-3>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C3) <with|color|black|>
    </with>>
      b:x+1;
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D3)
        <with|color|black|>>x+1>
      </with>

      \;
    </output>

    <\input|<\with|color|red>
      (C4) <with|color|black|>
    </with>>
      limit(d2/d3,x,-1);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D9)
        <with|color|black|>>\<infty\>>
      </with>

      \;
    </output>
  </session>>

  <paragraph|Ahora calculemos cuando x tiende a infinito positivo:>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<\with|color|red>
      (C8) <with|color|black|>
    </with>>
      limit(d2/d3,x,inf);
    </input>

    <\output>
      <\with|mode|math>
        <with|math-display|true|<with|mode|text|font-family|tt|color|red|(D8)
        <with|color|black|>>\<infty\>>
      </with>

      \;
    </output>
  </session>>

  <subsection|Derivadas>

  <paragraph|Para el desarrollo de derivadas se utiliza la funcin
  <with|color|blue|diff()>. La lista de argumentos que recibe la funcin son:
  La funcin que se va a derivar, la variable de derivacin y como parmetro
  opcional se tiene el orden de la derivada>

  <paragraph|Aqu van algunos ejemplos. Por ejemplo a continuacin vamos a
  calcular la tercera derivada de la funcin:>

  <\equation*>
    f(x)=<frac|Sen(x)|<sqrt|x<rsup|2>+2*x-1>>
  </equation*>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<with|color|red|(C1) <with|color|black|>>>
      diff((sin(x))/(sqrt(x^2+2*x-1)),x,3);
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
      <with|color|black|>><frac|3*<left|(>2*x+2<right|)>*sin
      x|2*<left|(>x<rsup|2>+2*x-1<right|)><rsup|<frac|3|2>>>+<frac|9*<left|(>2*x+2<right|)>*sin
      x|2*<left|(>x<rsup|2>+2*x-1<right|)><rsup|<frac|5|2>>>-<frac|15*<left|(>2*x+2<right|)><rsup|3>*sin
      x|8*<left|(>x<rsup|2>+2*x-1<right|)><rsup|<frac|7|2>>>-<frac|cos
      x|<sqrt|x<rsup|2>+2*x-1>>-<frac|3*cos
      x|<left|(>x<rsup|2>+2*x-1<right|)><rsup|<frac|3|2>>>+<frac|9*<left|(>2*x+2<right|)><rsup|2>*cos
      x|4*<left|(>x<rsup|2>+2*x-1<right|)><rsup|<frac|5|2>>>>

      \;
    </output>
  </session>>

  <paragraph|Como se ve es muy sencillo la obtencin derivadas. Es posible
  hacer derivadas parciales de la siguiente forma>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <input|<with|color|red|(C1) <with|color|black|>>|<\math>
      diff(<frac|x<rsup|2>+1-y|y<rsup|2>+1>,y);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
      <with|color|black|>>-<frac|1|y<rsup|2>+1>-<frac|2*<left|(>-y+x<rsup|2>+1<right|)>*y|<left|(>y<rsup|2>+1<right|)><rsup|2>>>

      \;
    </output>

    <input|<with|color|red|(C2) <with|color|black|>>|<\math>
      diff(<frac|x<rsup|2>+1-y|y<rsup|2>+1>,x);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D2)
      <with|color|black|>><frac|2*x|y<rsup|2>+1>>

      \;
    </output>
  </session>>

  <paragraph|En el ejemplo anterior se efectuaron las derivadas parciales de
  una funcin. Primero se calcul su derivada parcial respecto de la variable
  <with|mode|math|y>. Despus la derivada parcial respecto de la variable
  <with|mode|math|x>. Para este caso, hicimos uso de la entrada matemtica de
  <TeXmacs>>

  <subsection|Integrales>

  <paragraph|Para el desarrollo de integrales se usa el comando
  <with|color|blue|integrate();>. Hay que aclarar, que dado que no siempre es
  posible obtener la integral de una determinada funcin, es posible que
  <with|color|red|Maxima> no desarrolle algunas integrales o que las deje en
  trminos de otras integrales. Los argumentos que el comando integrate
  recibe son: La funcin a integrar, la variable de integracin y como
  argumentos opcionales se tienen los lmites inferior y superior, s se
  trata de una integral definida. Veamos algunos ejemplos>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|<with|color|red|(C3) <with|color|black|>>>
      integrate(3*x^6+2*x^3-1,x);
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D3)
      <with|color|black|>><frac|3*x<rsup|7>|7>+<frac|x<rsup|4>|2>-x>

      \;
    </output>
  </session>>

  <paragraph|Aqu integramos un polinomio sencillo. Ahora vamos a calcular
  una integral definida, utilizando la entrada matemtica de <TeXmacs>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C4) <with|color|black|>>|<\math>
      integrate(x<rsup|2>*<sqrt|1+4*x<rsup|2>>,x,1,2);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D7)
      <with|color|black|>><frac|<with|math-font-family|rm|ASINH><left|(>2<right|)>-18*<sqrt|5>|64>-<frac|<with|math-font-family|rm|ASINH><left|(>4<right|)>-132*<sqrt|17>|64>>

      \;
    </output>

    <input|<with|color|red|(C8) <with|color|black|>>|<\math>
      %,numer;
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D8)
      <with|color|black|>>7.864838154913323>

      \;
    </output>
  </session>>

  <paragraph|Como se observ el lmite inferior va primero y seguido va el
  lmite superior. Aqu usamos \ la opcin <with|color|blue|numer>, para
  obtener una salida completamente numrica, de la integral. Calculemos ahora
  una de las integrales de Fresnel>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C9) <with|color|black|>>|<\math>
      integrate(%e<rsup|(-x<rsup|2>)>,x,0,inf);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D9)
      <with|color|black|>><frac|<sqrt|\<pi\>>|2>>

      \;
    </output>
  </session>>

  <paragraph|Como vemos acabamos de realizar lo siguiente>

  <\equation*>
    <big|int><rsup|+\<infty\>><rsub|0>e<rsup|-x<rsup|2>>*dx
  </equation*>

  <paragraph|que efectivamente converge al resultado dado por
  <with|color|red|Maxima>>

  <subsubsection|Funciones Asociadas>

  <\description-compact>
    <item*|LAPLACE(fun,var0,var1):>Calcula la transformada de Laplace de fun,
    respecto de la variable var0 y la expresa en trminos de var1.\ 
  </description-compact>

  <section|Series <label|series>>

  <\with|par-hyphen|professional>
    <paragraph|En este apartado, se tratarn muy brevemente las funciones
    relacionadas con los desarrollos de Taylor, Laurent y Fourier>
  </with>

  <subsection|Series de Taylor y Laurent>

  <paragraph|Para obtener el desarrollo de una funcin en Serie de Taylor o
  Laurent alrededor un punto, se utiliza la funcin
  <with|color|blue|taylor();>. sta funcin recibe como argumentos: la
  funcin que va a ser desarrollada en serie de Taylor, la variable en que va
  a ser expresada la serie, \ el punto alrededor del cual va a ser
  desarrollada la serie y el grado de las potencias de los trminos que
  queremos obtener. Veamos un ejemplo>

  <paragraph|Vamos a desarrollar la Serie de Taylor de la funcin>

  <\equation*>
    f(x)=<frac|1|(x-1)*(x+3)>
  </equation*>

  <paragraph|alrededor del punto <with|mode|math|x=0>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C10) <with|color|black|>>|<\math>
      taylor(<frac|1|(x-1)*(x+3)>,x,0,4);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D29)
      <with|color|black|>>-<frac|1|3>-<frac|2*x|9>-<frac|7*x<rsup|2>|27>-<frac|20*x<rsup|3>|81>-<frac|61*x<rsup|4>|243>+\<cdots\>>

      \;
    </output>
  </session>>

  <paragraph|As mismo se puede desarrollar una serie de Laurent, por ejemplo
  desarrollaremos la serie de Laurent de la funcin>

  <\equation*>
    f(z)=<frac|1|e<rsup|z>-1>
  </equation*>

  <paragraph|alrededor del punto <with|mode|math|z=0>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C31) <with|color|black|>>|<\math>
      taylor(<frac|1|%e<rsup|z>-1>,z,0,9);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D32)
      <with|color|black|>><frac|1|z>-<frac|1|2>+<frac|z|12>-<frac|z<rsup|3>|720>+<frac|z<rsup|5>|30240>-<frac|z<rsup|7>|1209600>+<frac|z<rsup|9>|47900160>+\<cdots\>>

      \;
    </output>
  </session>>

  <subsection|Series de Fourier>

  <paragraph|<with|color|red|Maxima> puede expresar funciones en trminos de
  una serie de Fourier. Dado que este documento cubre slo aspectos bsicos,
  sta seccin slo tratar las funciones bsicas del paquete
  <with|color|brown|Fourie>, que es el que integra toda la funcionalidad para
  tratamiento de series de Fourier>

  <paragraph|Para hacer el desarrollo de una funcin en series de Fourier, se
  debe cargar el paquete \ <with|color|brown|Fourie>, con el siguiente
  comando>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C33) <with|color|black|>>|<\math>
      load(fourie);
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D34)
      <with|color|black|>><with|mode|text|/usr/share/maxima/5.9.0/share/calculus/fourie.mac>>

      \;
    </output>
  </session>>

  <paragraph|Una vez cargado el paquete, podemos emplear el comando
  <with|color|blue|printfile(fourie,usage,dsk,share1);>, para obtener alguna
  ayuda sobre el manejo del paquete>

  <paragraph|Para obtener una serie de Fourier de una funcin en un intervalo
  de la forma <with|mode|math|[-L,L]>, podemos emplear la siguiente funcin:
  <with|color|red|<with|color|blue|fourier();>>, que retorna los coeficientes
  de Fourier. Los argumentos que recibe son: la funcin, la variable (la cual
  pertence a la funcin) y el intervalo en donde se va a calcular la serie.
  Veamos un ejemplo>

  <paragraph|Vamos a calcular la serie de Fourier de la siguiente funcin>

  <\equation*>
    f(x)=<frac|1|2>x<rsup|2>
  </equation*>

  <paragraph|en el intervalo <with|mode|math|[-2,2]>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C35) <with|color|black|>>|<\math>
      fourier(<frac|1|2>*x<rsup|2>,x,2);
    </math>>

    <input|<with|color|red|<with|mode|math|math-display|true|<with|mode|text|Is
    >cos <left|(>\<pi\>*N<right|)><with|mode|text| positive, negative, or
    zero?>> <with|color|black|>>|<\math>
      pos;
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(E38)
      <with|color|black|>>A<rsub|0>=<frac|2|3>>

      \;

      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(E39)
      <with|color|black|>>A<rsub|N>=<frac|4*sin
      <left|(>\<pi\>*N<right|)>|\<pi\>*N>-<frac|8*sin
      <left|(>\<pi\>*N<right|)>|\<pi\><rsup|3>*N<rsup|3>>+<frac|8*cos
      <left|(>\<pi\>*N<right|)>|\<pi\><rsup|2>*N<rsup|2>>>

      \;

      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(E40)
      <with|color|black|>>B<rsub|N>=0>

      \;

      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D40)
      <with|color|black|>><left|[><with|math-font-family|rm|E38>,<with|math-font-family|rm|E39>,<with|math-font-family|rm|E40><right|]>>

      \;
    </output>
  </session>>

  <paragraph|Si en cambio se quiere calcular una la Serie de Fourier de una
  funcin, pero en un intervalo de la forma <with|mode|math|[0,L]>, entonces
  empleamos la funcin: <with|color|blue|fourcos();> y
  <with|color|blue|foursin();>. En la primera se obtienen los coeficientes
  que acompaan a la funcin coseno y la segunda los coeficientes de la
  funcin seno. Calculemos la serie de Fourier de la anterior funcin, en el
  intervalo <with|mode|math|[0,2]>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C42) <with|color|black|>>|<\math>
      fourcos(<frac|1|2>*x<rsup|2>,x,2);
    </math>>

    <input|<with|color|red|<with|mode|math|math-display|true|<with|mode|text|Is
    >cos <left|(>\<pi\>*N<right|)><with|mode|text| positive, negative, or
    zero?>> <with|color|black|>>|<\math>
      pos;
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(E42)
      <with|color|black|>>A<rsub|0>=<frac|2|3>>

      \;

      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(E43)
      <with|color|black|>>A<rsub|N>=<frac|4*sin
      <left|(>\<pi\>*N<right|)>|\<pi\>*N>-<frac|8*sin
      <left|(>\<pi\>*N<right|)>|\<pi\><rsup|3>*N<rsup|3>>+<frac|8*cos
      <left|(>\<pi\>*N<right|)>|\<pi\><rsup|2>*N<rsup|2>>>

      \;

      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D43)
      <with|color|black|>><left|[><with|math-font-family|rm|E42>,<with|math-font-family|rm|E43><right|]>>
    </output>

    \;
  </session>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <input|<with|color|red|(C47) <with|color|black|>>|<\math>
      foursin(x<rsup|2>/2,x,2);
    </math>>

    <input|<with|color|red|<with|mode|math|math-display|true|<with|mode|text|Is
    >sin <left|(>\<pi\>*N<right|)><with|mode|text| positive, negative, or
    zero?>> <with|color|black|>>|<\math>
      zero;
    </math>>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(E48)
      <with|color|black|>>B<rsub|N>=<frac|8*sin
      <left|(>\<pi\>*N<right|)>|\<pi\><rsup|2>*N<rsup|2>>-<frac|4*cos
      <left|(>\<pi\>*N<right|)>|\<pi\>*N>+<frac|8*cos
      <left|(>\<pi\>*N<right|)>|\<pi\><rsup|3>*N<rsup|3>>-<frac|8|\<pi\><rsup|3>*N<rsup|3>>>

      \;

      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D48)
      <with|color|black|>><left|[><with|math-font-family|rm|E48><right|]>>

      \;
    </output>
  </session>>

  <paragraph|Puede obtener mucha ms ayuda en la documentacin oficial de
  <with|color|red|Maxima>>

  <section|Ecuaciones Diferenciales<label|edif>>

  <paragraph|<with|color|red|Maxima> puede resolver ecuaciones diferenciales
  de primer y segundo orden. Para resolver este tipo de ecuaciones se emplea
  el comando <with|color|blue|ode2();>. Este comando recibe como argumento la
  ecuacin diferencial y las variables que intervienen en ella. Veamos un
  corto ejemplo>

  <paragraph|Resolveremos la ecuacin diferencial>

  <\equation*>
    <frac|d<rsup|2>y|d*x<rsup|2>>+3*<frac|d*y|d*x>-8*y=0
  </equation*>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<with|color|red|(C50) <with|color|black|>>>
      ode2('diff(y,x,2)+3*('diff(y,x))-8*y = 0, y,x);
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D50)
      <with|color|black|>><with|font-size|1.19|y=<with|math-font-family|rm|%K1>*e<rsup|<frac|<left|(><sqrt|41>-3<right|)>*x|2>>+<with|math-font-family|rm|%K2>*e<rsup|<frac|<left|(>-<sqrt|41>-3<right|)>*x|2>>>>

      \;
    </output>
  </session>>

  <paragraph|donde %k representra una constante arbitraria. Como usted puede
  observar, para simbolizar las derivadas se utiliz el operador ', que le
  indica a Maxima que no debe evaluar sta expresin. El orden de la derivada
  se especifica dentro de la expresin <with|color|green|<with|color|orange|diff>>,
  como se observa en el ejemplo. Es posible resolver ecuaciones diferenciales
  no homogneas, por ejemplo, resolver, la misma ecuacin anterior, pero
  igualada a la funcin Sen(x), quedara>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|<with|color|red|(C53) <with|color|black|>>>
      ode2('diff(y,x,2)+3*('diff(y,x))-8*y = sin(x), y,x);
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D53)
      <with|color|black|>>y=-<frac|3*sin x+cos
      x|30>+<with|math-font-family|rm|%K1>*e<rsup|<frac|<left|(><sqrt|41>-3<right|)>*x|2>>+<with|math-font-family|rm|%K2>*e<rsup|<frac|<left|(>-<sqrt|41>-3<right|)>*x|2>>>

      \;
    </output>
  </session>>

  <section|lgebra Matricial<label|algma>>

  <paragraph|Con <with|color|red|Maxima> se pueden realizar clculos con
  matrices, tales como \ inversas y determinantes. Para declarar una matriz
  se emplea el comando <with|color|blue|matrix();>, el cual recibe como
  argumentos cada linea correspondiente con el numero de orden de la matriz
  de la siguiente manera>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\output>
      \;

      \;
    </output>

    <\input|<with|color|red|(C1) <with|color|black|>>>
      matrix([19,36],[89,24]);
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D1)
      <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|19>|<cell|36>>|<row|<cell|89>|<cell|24>>>>><right|)>>

      \;
    </output>

    \;
  </session>>

  <paragraph|ademas podemos asignar el valor de la matriz a una variable de
  la siguiente manera>

  <\with|prog-language|maxima|prog-session|default>
    <\session>
      <\input|<with|color|red|(C2) <with|color|black|>>>
        A:matrix([10,24],[18,45]);
      </input>

      <\output>
        <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D3)
        <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|10>|<cell|24>>|<row|<cell|18>|<cell|45>>>>><right|)>>

        \;
      </output>

      <\input|<with|color|red|(C4) <with|color|black|>>>
        B:matrix([45,78],[152,123]);
      </input>

      <\output>
        <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D4)
        <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|45>|<cell|78>>|<row|<cell|152>|<cell|123>>>>><right|)>>

        \;
      </output>

      <paragraph|Ahora podemos realizar operaciones conocidas entre matrices
      tales como la suma, resta, multiplicacion y division. Por otro lado
      cuando se le asignan valores de matrices a variables es mucho mas fcil
      realizar la escritura de los comandos puesto que ahora se hace de una
      manera mucho mas corta, aunque tambien se pueden digitar los comandos
      incluyendo la matriz completa aunque sea mas extenso>
    </session>

    <with|prog-language|maxima|prog-session|default|<\session>
      <\input|<with|color|red|(C5) <with|color|black|>>>
        A+B;
      </input>

      <\output>
        <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D5)
        <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|55>|<cell|102>>|<row|<cell|170>|<cell|168>>>>><right|)>>
      </output>

      \;
    </session>>
  </with>

  <paragraph|La divisin se realiza componente a componente, puesto que la
  division como tal no esta definida entre matrices>

  <with|prog-language|maxima|prog-session|default|<\session>
    \;

    <\input|<with|color|red|(C7) <with|color|black|>>>
      A/B;
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D8)
      <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|<frac|2|9>>|<cell|<frac|4|13>>>|<row|<cell|<frac|9|76>>|<cell|<frac|15|41>>>>>><right|)>>

      \;
    </output>

    <\input|<with|color|red|(C9) <with|color|black|>>>
      A-B;
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D9)
      <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|-35>|<cell|-54>>|<row|<cell|-134>|<cell|-78>>>>><right|)>>

      \;
    </output>

    \;
  </session>>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|<with|color|red|(C10) <with|color|black|>>>
      A.B;
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D10)
      <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|4098>|<cell|3732>>|<row|<cell|7650>|<cell|6939>>>>><right|)>>

      \;
    </output>

    \;
  </session>>

  <paragraph|Ademas de las operaciones bsicas, tambin podemos realizar
  clculos correspondientes a las matrices como hallar la matriz inversa, el
  determinante de una matriz, asi como tambin buscar dentro de una matriz
  una fila determinada o una columna >

  <paragraph|Ahora para calcurar la matriz inversa utilizamos el comando
  invert(A); o A^^-1 donde A es una variable que contiene una matriz>

  <\with|prog-language|maxima|prog-session|default>
    <\session>
      <\input|<with|color|red|(C11) <with|color|black|>>>
        invert(A);
      </input>

      <\output>
        <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D11)
        <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|<frac|5|2>>|<cell|-<frac|4|3>>>|<row|<cell|-1>|<cell|<frac|5|9>>>>>><right|)>>
      </output>
    </session>

    <with|prog-language|maxima|prog-session|default|<\session>
      <\output>
        \;
      </output>

      <\input|<with|color|red|(C20) <with|color|black|>>>
        A^^-1;
      </input>

      <\output>
        <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D20)
        <with|color|black|>><left|(><tabular*|<tformat|<table|<row|<cell|<frac|5|2>>|<cell|-<frac|4|3>>>|<row|<cell|-1>|<cell|<frac|5|9>>>>>><right|)>>

        \;
      </output>

      \;
    </session>>
  </with>

  <paragraph|para calcular el determinante de una matriz utilizamos el
  comando determinant(A); donde A es la variable que contiene la matriz a la
  que se le calcular el determinante, aunque tambin se puede realizar de
  forma directa sin tener que inicializar una variable para poder realizar el
  clculo>

  <with|prog-language|maxima|prog-session|default|<\session>
    <\input|<with|color|red|(C16) <with|color|black|>>>
      determinant(A);
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D17)
      <with|color|black|>>18>

      \;
    </output>

    <\input|<with|color|red|(C18) <with|color|black|>>>
      determinant(Matrix([45,78],[12,0]));
    </input>

    <\output>
      <with|mode|math|math-display|true|<with|mode|text|font-family|tt|color|red|(D18)
      <with|color|black|>>-936>

      \;
    </output>

    \;
  </session>>

  <tmdoc-copyright|2004|Proyecto CLog - Juan Pablo Romero Bernal|Oscar Javier
  Garzn Macas|Angelica Maria Juez Surez|David Camilo Serrano Abril|David
  Alfonso Vincos|Robinson Andrs Palacios>
</body>

<\initial>
  <\collection>
    <associate|page-even|1in>
    <associate|page-reduce-bot|0.3in>
    <associate|page-reduce-right|0.7in>
    <associate|page-medium|paper>
    <associate|page-reduce-left|0.7in>
    <associate|par-line-sep|r>
    <associate|page-top|1in>
    <associate|page-type|letter>
    <associate|page-right|1in>
    <associate|par-width|6.5in>
    <associate|page-odd|1in>
    <associate|page-bot|1in>
    <associate|language|spanish>
    <associate|page-reduce-top|0.3in>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-10|<tuple|1|2>>
    <associate|toc-20|<tuple|2|4>>
    <associate|toc-70|<tuple|5.2|11>>
    <associate|toc-60|<tuple|5.1|10>>
    <associate|toc-50|<tuple|4.3|9>>
    <associate|toc-80|<tuple|7|13>>
    <associate|toc-40|<tuple|4.1|7>>
    <associate|toc-30|<tuple|3|6>>
    <associate|toc-51|<tuple|4.3|9>>
    <associate|toc-81|<tuple|7|13>>
    <associate|toc-71|<tuple|6|11>>
    <associate|toc-61|<tuple|5.1|10>>
    <associate|toc-41|<tuple|4.1|7>>
    <associate|gly-1|<tuple|1|1>>
    <associate|toc-21|<tuple|2|4>>
    <associate|toc-11|<tuple|1|2>>
    <associate|toc-31|<tuple|2|6>>
    <associate|toc-72|<tuple|6|11>>
    <associate|toc-62|<tuple|5.2|10>>
    <associate|gly-2|<tuple|2|6>>
    <associate|toc-22|<tuple|2|4>>
    <associate|toc-12|<tuple|1|3>>
    <associate|toc-32|<tuple|2|6>>
    <associate|toc-42|<tuple|4.2|8>>
    <associate|toc-52|<tuple|4.3|9>>
    <associate|toc-82|<tuple|7|13>>
    <associate|toc-63|<tuple|5.2|10>>
    <associate|toc-33|<tuple|2|6>>
    <associate|toc-13|<tuple|1.1|3>>
    <associate|toc-43|<tuple|4.2|8>>
    <associate|toc-23|<tuple|2|5>>
    <associate|toc-53|<tuple|4.3.1|9>>
    <associate|toc-73|<tuple|6|11>>
    <associate|toc-64|<tuple|5.2|10>>
    <associate|toc-74|<tuple|6|12>>
    <associate|toc-24|<tuple|2.1|5>>
    <associate|toc-14|<tuple|1.1|3>>
    <associate|toc-34|<tuple|2|7>>
    <associate|toc-44|<tuple|4.2|8>>
    <associate|toc-54|<tuple|5|9>>
    <associate|toc-75|<tuple|7|12>>
    <associate|toc-65|<tuple|5.2|10>>
    <associate|toc-55|<tuple|5|9>>
    <associate|toc-25|<tuple|2.1|5>>
    <associate|toc-15|<tuple|2|3>>
    <associate|toc-35|<tuple|3.1|7>>
    <associate|toc-45|<tuple|4.2|8>>
    <associate|toc-76|<tuple|7|12>>
    <associate|toc-66|<tuple|5.2|10>>
    <associate|toc-56|<tuple|5.1|9>>
    <associate|toc-26|<tuple|2.1|5>>
    <associate|Aritmtica|<tuple|1|?>>
    <associate|toc-16|<tuple|2|3>>
    <associate|toc-36|<tuple|4|7>>
    <associate|toc-46|<tuple|4.2|8>>
    <associate|toc-77|<tuple|7|12>>
    <associate|toc-67|<tuple|5.2|10>>
    <associate|toc-57|<tuple|5.1|9>>
    <associate|toc-27|<tuple|2.2|5>>
    <associate|toc-17|<tuple|2|3>>
    <associate|toc-37|<tuple|4|7>>
    <associate|toc-47|<tuple|4.3|8>>
    <associate|toc-48|<tuple|4.3|8>>
    <associate|toc-18|<tuple|2|4>>
    <associate|toc-28|<tuple|2.2|5>>
    <associate|toc-38|<tuple|4.1|7>>
    <associate|toc-58|<tuple|5.1|9>>
    <associate|toc-78|<tuple|7|12>>
    <associate|toc-68|<tuple|5.2|10>>
    <associate|toc-69|<tuple|5.2|11>>
    <associate|toc-59|<tuple|5.1|10>>
    <associate|toc-19|<tuple|2|4>>
    <associate|toc-29|<tuple|3|6>>
    <associate|toc-39|<tuple|4.1|7>>
    <associate|toc-49|<tuple|4.3|9>>
    <associate|toc-79|<tuple|7|12>>
    <associate|1|<tuple|1|?>>
    <associate|2|<tuple|1|?>>
    <associate|series|<tuple|5|9>>
    <associate|edif|<tuple|6|11>>
    <associate|cdi|<tuple|4|7>>
    <associate|trig|<tuple|3|6>>
    <associate|algma|<tuple|7|12>>
    <associate|toc-1|<tuple|<uninit>|1>>
    <associate|algr|<tuple|2|3>>
    <associate|toc-2|<tuple|<uninit>|1>>
    <associate|toc-3|<tuple|7.|1>>
    <associate|arit|<tuple|1|1>>
    <associate|toc-4|<tuple|1|1>>
    <associate|toc-5|<tuple|1|1>>
    <associate|toc-6|<tuple|1|2>>
    <associate|toc-7|<tuple|1|2>>
    <associate|toc-8|<tuple|1|2>>
    <associate|toc-9|<tuple|1|2>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|table>
      <tuple|normal|Palabras reservadas de
      <with|color|<quote|red>|Maxima>|<pageref|gly-1>>

      <tuple|normal|Funciones trigonomtricas definidas en
      <with|color|<quote|red>|Maxima>|<pageref|gly-2>>
    </associate>
    <\associate|toc>
      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|En este corto
      documento se pretenden mostrar algunas de las funciones y comandos
      bsicos que usted puede utilizar usando
      \ T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>
      como una interfaz de <with|color|<quote|red>|Maxima>. No buscamos ser
      rigurosos pero s dar una idea general de la sintaxis y capacidades que
      sigue <with|color|<quote|red>|Maxima><value|toc-dots><pageref|toc-1>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|En la siguiente guia
      usted encontrar ayuda sobre los siguientes
      temas<value|toc-dots><pageref|toc-2>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para comenzar, la
      sintaxis general de <with|color|<quote|red>|Maxima> es una funcin
      seguida de sus argumentos. La gran mayora de clculos que se realizan
      en <with|color|<quote|red>|Maxima> es mediante funciones que ya estn
      definidas. Por ejemplo para clculo \ de integrales se usa la funcin
      <with|color|<quote|blue>|<with|font-family|<quote|tt>|integrate(lista
      de argumentos)>>, en donde la lista de argumentos constituye la funcin
      a integrar, su variable de integracin y en caso tal, s la integral es
      definida, su lmite inferior y superior. Algo muy importante que hay
      que tener en cuenta son las palabras reservadas que tiene
      <with|color|<quote|red>|Maxima>, las cuales no pueden ser usadas como
      nombres de variables, ya que su uso podra ocasionar graves errores de
      sintaxis. A continuacin se presenta una lista de dichas
      palabras<value|toc-dots><pageref|toc-3>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc><label|arit>Aritmtica<label|arit>><value|toc-dots><pageref|toc-4><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Los operadores
      fundamentales son:<value|toc-dots><pageref|toc-5>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|La salida de Maxima
      se caracteriza por devolver valores racionales exactos. Por ejemplo:
      <value|toc-dots><pageref|toc-6>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|S se emplean nmeros
      irracionales, esto se conservan en forma
      simblica<value|toc-dots><pageref|toc-7>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Sin embargo en
      ocasiones se desea obtener la respuesta en formato decimal. Para
      conseguir esto se coloca tras la expresin deseada el texto
      <with|color|<quote|blue>|<with|font-family|<quote|tt>|,numer>>. Por
      ejemplo: <value|toc-dots><pageref|toc-8>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Por defecto el
      parmetro <with|color|<quote|blue>|<with|font-family|<quote|tt>|numer>>
      devuelve un decimal con 16 cifras significativas (por lo que la ltima
      puede llegar a estar equivocada). Sin embargo
      <with|color|<quote|red>|Maxima> ofrece precisin arbitraria con la
      funcin <with|font-family|<quote|tt>|<with|color|<quote|blue>|bfloat()>:><value|toc-dots><pageref|toc-9>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|La variable que
      controla el nmero de decimales es <with|font-family|<quote|tt>|font-shape|<quote|italic>|<with|color|<quote|green>|<with|color|<quote|brown>|<with|color|<quote|black>|<with|font-family|<quote|tt>|font-shape|<quote|italic>|fpprec>>>>>,
      que por defecto vale 16:<value|toc-dots><pageref|toc-10>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|S asignamos a \ sta
      variable el valor 100, y volvemos a calcular el valor numrico de la
      expresin anterior, tenemos<value|toc-dots><pageref|toc-11>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|un nivel de precisin
      mucho ms alto, por ejemplo para el clculo de nmeros muy grandes,
      como el factorial de 100, <with|color|<quote|red>|Maxima> lo hace con
      gran exactitud: <value|toc-dots><pageref|toc-12>>

      1.1<space|2spc>Funciones Asociadas<value|toc-dots><pageref|toc-13>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Algunas funciones
      importantes para el tratamiento numrico son:
      <value|toc-dots><pageref|toc-14>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|2<space|2spc><label|algr>lgebra<label|algr>><value|toc-dots><pageref|toc-15><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>
      es por excelencia un sistema de clculo simblico y por lo tanto hace
      un muy buen manejo de expresiones algebricas. Es decir manipula con
      gran facilidad todo clculo simblico y analtico que nosotros
      necesitemos. Por ejemplo as se expande un
      polinomio:<value|toc-dots><pageref|toc-16>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Ahora supongamos que
      queremos sustituir, en la anterior expresin,
      <with|mode|<quote|math>|x=<frac|5|z>>:<value|toc-dots><pageref|toc-17>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Haciendo uso de la
      funcin <with|color|<quote|blue>|RATSIMP()> reduce una expresin a
      comn denominador:<value|toc-dots><pageref|toc-18>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Y con la funcin
      <with|color|<quote|blue>|PARTFRAC()> se pueden reducir expresiones a
      fracciones parciales:<value|toc-dots><pageref|toc-19>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Maxima, tambin puede
      factorizar polinomios y expresiones en
      general:<value|toc-dots><pageref|toc-20>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Ahora miremos
      soluciones de ecuaciones lineales y no lineales, mediante la funcin
      <with|color|<quote|blue>|SOLVE()>. Veamos a continuacin algunos
      ejemplos: <value|toc-dots><pageref|toc-21>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Cmo usted puede
      observar se declar un sistema de ecuaciones de tres variables, cada
      uno identificado con una etiqueta. Luego se uso la funcin
      <with|color|<quote|blue>|SOLVE()> cuya sintaxis es:
      <with|color|<quote|blue>|Solve([ecuaciones separadas por
      comas],[variables a despejar])>, y obtuvimos el valor respectivo.
      Igualmente podemos resolver ecuaciones no lineales, como sigue:
      <value|toc-dots><pageref|toc-22>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|De lo anterior
      podemos observar que Maxima genera listas con valores solucin \ para
      las variables del sistema de ecuaciones, dando distintos valores a las
      variables.<value|toc-dots><pageref|toc-23>>

      2.1<space|2spc>Algo de lgebra Compleja<value|toc-dots><pageref|toc-24>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Maxima puede
      manipular sin ningn problema nmeros complejos. El siguiente es un
      ejemplo bsico de la suma de nmeros
      complejos:<value|toc-dots><pageref|toc-25>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|As mismo se pueden
      resolver ecuaciones, encontrar races y muchas otras tareas.
      <value|toc-dots><pageref|toc-26>>

      2.2<space|2spc>Funciones Asociadas:<value|toc-dots><pageref|toc-27>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Las siguientes son
      algunas funciones importantes para manejo de
      lgebra:<value|toc-dots><pageref|toc-28>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|3<space|2spc>Trigonometra<label|trig>><value|toc-dots><pageref|toc-29><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>
      posee funciones para manipulacin trigonomtrica, de hecho trae
      definidas las seis funciones trigonomtricas bsicas con sus inversas,
      hiperblicas e inversas de las hiperblicas. La siguiente es una tabla
      que resume dichas funciones: <value|toc-dots><pageref|toc-30>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Los siguientes son
      algunos ejemplos de lo que podemos hacer con Maxima:
      <value|toc-dots><pageref|toc-31>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Podemos evaluar
      cualquier funcin trigonomtrica para un valor dado:
      <value|toc-dots><pageref|toc-32>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Podemos expandir
      funciones trigonomtricas e hiperblicas, con la funcin
      <with|color|<quote|blue>|TRIGEXPAND()>, de la siguiente forma:
      <value|toc-dots><pageref|toc-33>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|En este caso fijese
      que hemos utilizado dos cosas: Primero la entrada matemtica de
      T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>,
      lo cual posibilita una mejor escritura y mayor facilidad a la hora de
      usar <with|color|<quote|red>|Maxima> y segundo hemos dado valor a un
      variable de entorno de Maxima, en este caso es la variable
      <with|font-family|<quote|tt>|font-shape|<quote|italic>|trigexpand>,
      cuando vale true expande todas las expresiones que contengan senos y
      cosenos en forma subsecuente (como puede darse cuenta en
      <with|color|<quote|red>|C24>) y cuando vale false no expande senos y
      cosenos, como usted puede darse cuenta en <with|color|<quote|red>|C26>.
      Podemos tambin reducir expresiones trigonomtricas e hiperblicas con
      la funcin <with|color|<quote|blue>|TRIGREDUCE()>,
      veamos:<value|toc-dots><pageref|toc-34>>

      3.1<space|2spc>Funciones Asociadas:<value|toc-dots><pageref|toc-35>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|4<space|2spc>Clculo
      Diferencial e Integral<label|cdi>><value|toc-dots><pageref|toc-36><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>
      est en capacidad de desarrollar lmites, derivadas e integrales de
      forma sencilla y fcil. Empecemos por el clculo de
      lmites.<value|toc-dots><pageref|toc-37>>

      4.1<space|2spc>Lmites<value|toc-dots><pageref|toc-38>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para calcular lmites
      utilizamos la funcin <with|color|<quote|blue>|LIMIT(a,b,c)>, en donde
      <with|color|<quote|blue>|a> es la funcin donde \ deseamos calcular el
      lmite, y <with|color|<quote|blue>|c> es hacia lo que tiende
      <with|color|<quote|blue>|b>. Por supuesto que
      <with|color|<quote|blue>|b> debe ser una variable de
      <with|color|<quote|blue>|a>. El infinito positivo est representado por
      <with|font-family|<quote|tt>|font-shape|<quote|italic>|INF> y el
      infinito negativo por <with|font-family|<quote|tt>|font-shape|<quote|italic>|MINF>.
      Veamos un ejemplo:<value|toc-dots><pageref|toc-39>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Calculemos el lmite
      de la funcin <with|mode|<quote|math>|<frac|x<rsup|2>+2*x-3|x+1>>
      cuando x tiende a -1:<value|toc-dots><pageref|toc-40>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Ahora calculemos
      cuando x tiende a infinito positivo:<value|toc-dots><pageref|toc-41>>

      4.2<space|2spc>Derivadas<value|toc-dots><pageref|toc-42>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para el desarrollo de
      derivadas se utiliza la funcin <with|color|<quote|blue>|diff()>. La
      lista de argumentos que recibe la funcin son: La funcin que se va a
      derivar, la variable de derivacin y como parmetro opcional se tiene
      el orden de la derivada<value|toc-dots><pageref|toc-43>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Aqu van algunos
      ejemplos. Por ejemplo a continuacin vamos a calcular la tercera
      derivada de la funcin:<value|toc-dots><pageref|toc-44>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Como se ve es muy
      sencillo la obtencin derivadas. Es posible hacer derivadas parciales
      de la siguiente forma<value|toc-dots><pageref|toc-45>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|En el ejemplo
      anterior se efectuaron las derivadas parciales de una funcin. Primero
      se calcul su derivada parcial respecto de la variable
      <with|mode|<quote|math>|y>. Despus la derivada parcial respecto de la
      variable <with|mode|<quote|math>|x>. Para este caso, hicimos uso de la
      entrada matemtica de T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>><value|toc-dots><pageref|toc-46>>

      4.3<space|2spc>Integrales<value|toc-dots><pageref|toc-47>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para el desarrollo de
      integrales se usa el comando <with|color|<quote|blue>|integrate();>.
      Hay que aclarar, que dado que no siempre es posible obtener la integral
      de una determinada funcin, es posible que
      <with|color|<quote|red>|Maxima> no desarrolle algunas integrales o que
      las deje en trminos de otras integrales. Los argumentos que el comando
      integrate recibe son: La funcin a integrar, la variable de integracin
      y como argumentos opcionales se tienen los lmites inferior y superior,
      s se trata de una integral definida. Veamos algunos
      ejemplos<value|toc-dots><pageref|toc-48>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Aqu integramos un
      polinomio sencillo. Ahora vamos a calcular una integral definida,
      utilizando la entrada matemtica de
      T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>><value|toc-dots><pageref|toc-49>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Como se observ el
      lmite inferior va primero y seguido va el lmite superior. Aqu usamos
      \ la opcin <with|color|<quote|blue>|numer>, para obtener una salida
      completamente numrica, de la integral. Calculemos ahora una de las
      integrales de Fresnel<value|toc-dots><pageref|toc-50>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Como vemos acabamos
      de realizar lo siguiente<value|toc-dots><pageref|toc-51>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|que efectivamente
      converge al resultado dado por <with|color|<quote|red>|Maxima><value|toc-dots><pageref|toc-52>>

      <with|par-left|<quote|1.5fn>|4.3.1<space|2spc>Funciones
      Asociadas<value|toc-dots><pageref|toc-53>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|5<space|2spc>Series
      <label|series>><value|toc-dots><pageref|toc-54><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|En este apartado, se
      tratarn muy brevemente las funciones relacionadas con los desarrollos
      de Taylor, Laurent y Fourier<value|toc-dots><pageref|toc-55>>

      5.1<space|2spc>Series de Taylor y Laurent<value|toc-dots><pageref|toc-56>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para obtener el
      desarrollo de una funcin en Serie de Taylor o Laurent alrededor un
      punto, se utiliza la funcin <with|color|<quote|blue>|taylor();>. sta
      funcin recibe como argumentos: la funcin que va a ser desarrollada en
      serie de Taylor, la variable en que va a ser expresada la serie, \ el
      punto alrededor del cual va a ser desarrollada la serie y el grado de
      las potencias de los trminos que queremos obtener. Veamos un
      ejemplo<value|toc-dots><pageref|toc-57>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Vamos a desarrollar
      la Serie de Taylor de la funcin<value|toc-dots><pageref|toc-58>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|alrededor del punto
      <with|mode|<quote|math>|x=0><value|toc-dots><pageref|toc-59>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|As mismo se puede
      desarrollar una serie de Laurent, por ejemplo desarrollaremos la serie
      de Laurent de la funcin<value|toc-dots><pageref|toc-60>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|alrededor del punto
      <with|mode|<quote|math>|z=0><value|toc-dots><pageref|toc-61>>

      5.2<space|2spc>Series de Fourier<value|toc-dots><pageref|toc-62>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>
      puede expresar funciones en trminos de una serie de Fourier. Dado que
      este documento cubre slo aspectos bsicos, sta seccin slo tratar
      las funciones bsicas del paquete <with|color|<quote|brown>|Fourie>,
      que es el que integra toda la funcionalidad para tratamiento de series
      de Fourier<value|toc-dots><pageref|toc-63>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para hacer el
      desarrollo de una funcin en series de Fourier, se debe cargar el
      paquete \ <with|color|<quote|brown>|Fourie>, con el siguiente
      comando<value|toc-dots><pageref|toc-64>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Una vez cargado el
      paquete, podemos emplear el comando
      <with|color|<quote|blue>|printfile(fourie,usage,dsk,share1);>, para
      obtener alguna ayuda sobre el manejo del
      paquete<value|toc-dots><pageref|toc-65>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Para obtener una
      serie de Fourier de una funcin en un intervalo de la forma
      <with|mode|<quote|math>|[-L,L]>, podemos emplear la siguiente funcin:
      <with|color|<quote|red>|<with|color|<quote|blue>|fourier();>>, que
      retorna los coeficientes de Fourier. Los argumentos que recibe son: la
      funcin, la variable (la cual pertence a la funcin) y el intervalo en
      donde se va a calcular la serie. Veamos un
      ejemplo<value|toc-dots><pageref|toc-66>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Vamos a calcular la
      serie de Fourier de la siguiente funcin<value|toc-dots><pageref|toc-67>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|en el intervalo
      <with|mode|<quote|math>|[-2,2]><value|toc-dots><pageref|toc-68>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Si en cambio se
      quiere calcular una la Serie de Fourier de una funcin, pero en un
      intervalo de la forma <with|mode|<quote|math>|[0,L]>, entonces
      empleamos la funcin: <with|color|<quote|blue>|fourcos();> y
      <with|color|<quote|blue>|foursin();>. En la primera se obtienen los
      coeficientes que acompaan a la funcin coseno y la segunda los
      coeficientes de la funcin seno. Calculemos la serie de Fourier de la
      anterior funcin, en el intervalo <with|mode|<quote|math>|[0,2]><value|toc-dots><pageref|toc-69>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Puede obtener mucha
      ms ayuda en la documentacin oficial de
      <with|color|<quote|red>|Maxima><value|toc-dots><pageref|toc-70>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|6<space|2spc>Ecuaciones
      Diferenciales<label|edif>><value|toc-dots><pageref|toc-71><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>
      puede resolver ecuaciones diferenciales de primer y segundo orden. Para
      resolver este tipo de ecuaciones se emplea el comando
      <with|color|<quote|blue>|ode2();>. Este comando recibe como argumento
      la ecuacin diferencial y las variables que intervienen en ella. Veamos
      un corto ejemplo<value|toc-dots><pageref|toc-72>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Resolveremos la
      ecuacin diferencial<value|toc-dots><pageref|toc-73>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|donde %k representra
      una constante arbitraria. Como usted puede observar, para simbolizar
      las derivadas se utiliz el operador ', que le indica a Maxima que no
      debe evaluar sta expresin. El orden de la derivada se especifica
      dentro de la expresin <with|color|<quote|green>|<with|color|<quote|orange>|diff>>,
      como se observa en el ejemplo. Es posible resolver ecuaciones
      diferenciales no homogneas, por ejemplo, resolver, la misma ecuacin
      anterior, pero igualada a la funcin Sen(x),
      quedara<value|toc-dots><pageref|toc-74>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|7<space|2spc>lgebra
      Matricial<label|algma>><value|toc-dots><pageref|toc-75><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Con
      <with|color|<quote|red>|Maxima> se pueden realizar clculos con
      matrices, tales como \ inversas y determinantes. Para declarar una
      matriz se emplea el comando <with|color|<quote|blue>|matrix();>, el
      cual recibe como argumentos cada linea correspondiente con el numero de
      orden de la matriz de la siguiente manera<value|toc-dots><pageref|toc-76>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|ademas podemos
      asignar el valor de la matriz a una variable de la siguiente
      manera<value|toc-dots><pageref|toc-77>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Ahora podemos
      realizar operaciones conocidas entre matrices tales como la suma,
      resta, multiplicacion y division. Por otro lado cuando se le asignan
      valores de matrices a variables es mucho mas fcil realizar la
      escritura de los comandos puesto que ahora se hace de una manera mucho
      mas corta, aunque tambien se pueden digitar los comandos incluyendo la
      matriz completa aunque sea mas extenso<value|toc-dots><pageref|toc-78>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|La divisin se
      realiza componente a componente, puesto que la division como tal no
      esta definida entre matrices<value|toc-dots><pageref|toc-79>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Ademas de las
      operaciones bsicas, tambin podemos realizar clculos correspondientes
      a las matrices como hallar la matriz inversa, el determinante de una
      matriz, asi como tambin buscar dentro de una matriz una fila
      determinada o una columna <value|toc-dots><pageref|toc-80>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Ahora para calcurar
      la matriz inversa utilizamos el comando invert(A); o A^^-1 donde A es
      una variable que contiene una matriz<value|toc-dots><pageref|toc-81>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|para calcular el
      determinante de una matriz utilizamos el comando determinant(A); donde
      A es la variable que contiene la matriz a la que se le calcular el
      determinante, aunque tambin se puede realizar de forma directa sin
      tener que inicializar una variable para poder realizar el
      clculo<value|toc-dots><pageref|toc-82>>
    </associate>
  </collection>
</auxiliary>