<TeXmacs|1.0.3>

<style|tmdoc>

<\body>
  <tmdoc-title*|Gua de Referencia Rpida de
  <with|color|red|Maxima>|Introduccin>

  <paragraph|<with|color|red|Maxima>, es un potente y completo sistema de
  algebra computacional, \ implementado \ por William F. Schelter usando
  Common Lisp como lenguaje de programacin. <with|color|red|Maxima> est
  basado en la implementacin original del sistema algebrico computarizado
  ms antiguo del mundo: MACSYMA, elaborado en el MIT (Instituto Tecnolgico
  de Massachuttes) con la ventaja de que se han logrado los permisos para que
  sea distribudo bajo la licencia GPL de GNU, es decir es software libre>

  <paragraph|La pgina oficial del proyecto la podemos encontrar en
  <hlink|Sourceforge.net|http://www.sourceforge.net> cuya direccin es:
  <hlink|http://www.sourceforge.net/proyects/maxima|http://www.sourceforge.net/proyects/maxima>.
  Actualmente existen versiones para todas las versiones de GNU/Linux, adems
  de versiones para otros sistemas operativos.>

  <section|Qu es <with|color|red|Maxima>?>

  <paragraph|<with|color|red|Maxima> es ms que un motor de lgebra
  computacional, es uno de los sistemas de propsito general ms completos y
  para el cual existe una implementacin libre. Como se dijo anteriormente
  <with|color|red|Maxima> es una versin basada en el sistema MACSYMA
  desarrollado en el MIT que proporciona un entorno interactivo y de
  programacin para manipulacin matemtica a nivel simblico y numrico.
  Dentro de las tareas ms generales que se pueden realizar en
  <with|color|red|Maxima> estn: diferenciacin y derivacin, integracin
  definida e indefinida, tratamiento de ecuaciones lineales y polinmicas,
  factorizacin de polinomios, expansin de funciones en series de Taylor y
  de Laurent, series de Poisson, manejo de matrices y tensores, resolucin de
  ecuaciones diferenciales y generacin de grficas en dos y tres
  dimensiones, entre otras tareas.>

  <paragraph|Adems de lo anteriormente descrito, <with|color|red|Maxima>
  posee interfaces con otros programas como Emacs y <TeXmacs>, como usted lo
  est haciendo ahora, al leer este documento>

  <section|Algunas cosas importantes>

  <paragraph|<with|color|red|Maxima>, como todo programa, recibe entradas de
  texto (expresiones) y emite salidas, usualmente resultados de operaciones
  hechas por el usuario. Pues bien, dichas entradas y salidas, estn
  definidas por etiquetas. En el caso de las entradas <with|color|red|Maxima>
  usa la etiqueta (C) seguida de un nmero, por ejemplo en el primer
  pantallazo aparece la etiqueta (C1), que le indica al usuario que puede
  escribir, por ejemplo un polinomio y que es la primera entrada en la sesin
  de <with|color|red|Maxima>. La C viene de <em|Command>. Las salidas son
  definidas por la etiqueta (D) seguida de un nmero que sigue la misma
  secuencia que las entradas. La letra D significa <em|Display>. La ventaja
  del empleo de estas etiquetas es que se puede hacer referencia a la entrada
  o la salida por medio de su etiqueta correspondiente, bajo toda la sesin
  de <with|color|red|Maxima>. Es de aclarar que no se pueden crear variables
  con nombres como C2  D4, pues esto generara confusin>

  <paragraph|Algo importante, es que <with|color|red|Maxima> no hace
  distincin alguna entre letras maysculas o minsculas, por ejemplo si
  usted escribe <em|sin(x)>  <em|SIN(X)>, igualmente est haciendo
  referencia a la funcin seno. Sin embargo, cuando se trata de variables que
  el usuario crea, <with|color|red|Maxima> s hace diferencia, por ejemplo es
  diferente la variable <strong|<em|X>> de la variable <em|x>>

  <paragraph|La siguiente es una lista que describe los aspectos ms
  importantes a la hora de usar <with|color|red|Maxima> desde GNU-<TeXmacs>:
  >

  <\itemize-arrow>
    <item>Para que Maxima evalue una expresin, ya sea mediante una funcin u
    otro operador, usted debe colocar al final de la misma un <em|<strong|;>>
    (punto y coma) y presionar la tecla <key|Enter>. En caso de no colocar el
    punto y coma (;), no se producir el resultado esperado o simplemente no
    habr salida. Usted puede evaluar ms de una expresin al mismo tiempo,
    slo debe separar cada una de las expresiones por puntos y comas (;) y
    presionar <key|Enter>.

    <item>Una forma alternativa al punto y coma (<em|<strong|;>>) es utilizar
    el smbolo de pesos (<em|<strong|$>>), al final de cada expresin. La
    nica diferencia es que el resultado no ser mostrado en pantalla.

    <item>S desea referir algn resultado, no es necesario que lo vuelva a
    escribir, simplemente escriba la etiqueta asociada a tal resultado o
    comando.

    <item>Si desea referir el resultado generado por la orden inmeditamente
    anterior, se puede usar o bien la etiqueta D asociada a tal comando o el
    smbolo de porcentaje (%).\ 

    <item>Las constantes <em|e> (nmero de Euler  exponencial de 1), <em|i>
    (unidad imaginaria) y <with|mode|math|\<pi\>> estn representadas por %E
    ( %e), %I ( %i) y %PI ( %pi), respectivamente. En este punto el
    smbolo (%) no tiene nada que ver con lo dicho anteriormente.

    <item>Para asociar el valor a una variable (muy importante cuando se
    definen funciones y se realizan programas), <with|color|red|Maxima>
    emplea el operador dos puntos (:) y no el signo de igualdad. El signo de
    igualdad se emplea, en cambio, para la representacin de ecuaciones. Por
    ejemplo para asignar a la variable <var|<with|color|brown|A>> el valor 3,
    escribimos: <kbd|A:3;>.\ 

    <item>Las grficas generadas por <with|color|red|Maxima> dentro de
    <TeXmacs> sern visibles en una ventana emergente, an no se ha
    implementado la insercin de las grficas en los documentos, en sesin
    interactiva. Para ello puede usar GnuPlot.\ 
  </itemize-arrow>

  <tmdoc-copyright|2004|Proyecto CLog - Juan Pablo Romero Bernal|Oscar Javier
  Garzn Macas|Anglica Mara Juez Suarez|David Camilo Serrano Abril|David
  Alfonso Vincos|Robinson Palacios - Pablo Ruz Muzquiz>
</body>

<\initial>
  <\collection>
    <associate|page-even|1in>
    <associate|page-reduce-bot|0.3in>
    <associate|page-reduce-right|0.7in>
    <associate|page-medium|paper>
    <associate|page-reduce-left|0.7in>
    <associate|page-top|1in>
    <associate|page-type|letter>
    <associate|page-right|1in>
    <associate|par-width|6.5in>
    <associate|page-odd|1in>
    <associate|page-bot|1in>
    <associate|language|spanish>
    <associate|page-reduce-top|0.3in>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-1|<tuple|<uninit>|1>>
    <associate|toc-2|<tuple|<uninit>|1>>
    <associate|toc-3|<tuple|1|1>>
    <associate|toc-4|<tuple|1|1>>
    <associate|toc-5|<tuple|1|1>>
    <associate|toc-6|<tuple|2|1>>
    <associate|toc-7|<tuple|2|1>>
    <associate|toc-8|<tuple|2|1>>
    <associate|toc-9|<tuple|2|1>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>,
      es un potente y completo sistema de algebra computacional,
      \ implementado \ por William F. Schelter usando Common Lisp como
      lenguaje de programacin. <with|color|<quote|red>|Maxima> est basado
      en la implementacin original del sistema algebrico computarizado ms
      antiguo del mundo: MACSYMA, elaborado en el MIT (Instituto Tecnolgico
      de Massachuttes) con la ventaja de que se han logrado los permisos para
      que sea distribudo bajo la licencia GPL de GNU, es decir es software
      libre<value|toc-dots><pageref|toc-1>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|La pgina oficial del
      proyecto la podemos encontrar en <hlink|Sourceforge.net|http://www.sourceforge.net>
      cuya direccin es: <hlink|http://www.sourceforge.net/proyects/maxima|http://www.sourceforge.net/proyects/maxima>.
      Actualmente existen versiones para todas las versiones de GNU/Linux,
      adems de versiones para otros sistemas
      operativos.<value|toc-dots><pageref|toc-2>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|1<space|2spc>Qu
      es <with|color|<quote|red>|Maxima>?><value|toc-dots><pageref|toc-3><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>
      es ms que un motor de lgebra computacional, es uno de los sistemas de
      propsito general ms completos y para el cual existe una
      implementacin libre. Como se dijo anteriormente
      <with|color|<quote|red>|Maxima> es una versin basada en el sistema
      MACSYMA desarrollado en el MIT que proporciona un entorno interactivo y
      de programacin para manipulacin matemtica a nivel simblico y
      numrico. Dentro de las tareas ms generales que se pueden realizar en
      <with|color|<quote|red>|Maxima> estn: diferenciacin y derivacin,
      integracin definida e indefinida, tratamiento de ecuaciones lineales y
      polinmicas, factorizacin de polinomios, expansin de funciones en
      series de Taylor y de Laurent, series de Poisson, manejo de matrices y
      tensores, resolucin de ecuaciones diferenciales y generacin de
      grficas en dos y tres dimensiones, entre otras
      tareas.<value|toc-dots><pageref|toc-4>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Adems de lo
      anteriormente descrito, <with|color|<quote|red>|Maxima> posee
      interfaces con otros programas como Emacs y
      T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>,
      como usted lo est haciendo ahora, al leer este
      documento<value|toc-dots><pageref|toc-5>>

      <vspace*|1fn><with|font-series|<quote|bold>|math-font-series|<quote|bold>|2<space|2spc>Algunas
      cosas importantes><value|toc-dots><pageref|toc-6><vspace|0.5fn>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|<with|color|<quote|red>|Maxima>,
      como todo programa, recibe entradas de texto (expresiones) y emite
      salidas, usualmente resultados de operaciones hechas por el usuario.
      Pues bien, dichas entradas y salidas, estn definidas por etiquetas. En
      el caso de las entradas <with|color|<quote|red>|Maxima> usa la etiqueta
      (C) seguida de un nmero, por ejemplo en el primer pantallazo aparece
      la etiqueta (C1), que le indica al usuario que puede escribir, por
      ejemplo un polinomio y que es la primera entrada en la sesin de
      <with|color|<quote|red>|Maxima>. La C viene de
      <with|font-shape|<quote|italic>|Command>. Las salidas son definidas por
      la etiqueta (D) seguida de un nmero que sigue la misma secuencia que
      las entradas. La letra D significa <with|font-shape|<quote|italic>|Display>.
      La ventaja del empleo de estas etiquetas es que se puede hacer
      referencia a la entrada o la salida por medio de su etiqueta
      correspondiente, bajo toda la sesin de
      <with|color|<quote|red>|Maxima>. Es de aclarar que no se pueden crear
      variables con nombres como C2  D4, pues esto generara
      confusin<value|toc-dots><pageref|toc-7>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|Algo importante, es
      que <with|color|<quote|red>|Maxima> no hace distincin alguna entre
      letras maysculas o minsculas, por ejemplo si usted escribe
      <with|font-shape|<quote|italic>|sin(x)> 
      <with|font-shape|<quote|italic>|SIN(X)>, igualmente est haciendo
      referencia a la funcin seno. Sin embargo, cuando se trata de variables
      que el usuario crea, <with|color|<quote|red>|Maxima> s hace
      diferencia, por ejemplo es diferente la variable
      <with|font-series|<quote|bold>|math-font-series|<quote|bold>|<with|font-shape|<quote|italic>|X>>
      de la variable <with|font-shape|<quote|italic>|x><value|toc-dots><pageref|toc-8>>

      <with|par-left|<quote|6fn>|font-size|<quote|0.84>|La siguiente es una
      lista que describe los aspectos ms importantes a la hora de usar
      <with|color|<quote|red>|Maxima> desde
      GNU-T<rsub|<space|-0.4spc><move|<resize|<with|math-level|<quote|0>|E>||||0.5fn|>|0fn|-0.1fn>><space|-0.4spc>X<rsub|<space|-0.4spc><move|<resize|M<space|-0.2spc>A<space|-0.4spc>CS||||0.5fn|>|0fn|-0.1fn>>:
      <value|toc-dots><pageref|toc-9>>
    </associate>
  </collection>
</auxiliary>